org.jacoco.report.internal.html.page

## Class SourceFilePage

- java.lang.Object
- - org.jacoco.report.internal.html.page.ReportPage
  - - org.jacoco.report.internal.html.page.NodePage<ISourceNode>
    - - org.jacoco.report.internal.html.page.SourceFilePage

All Implemented Interfaces:
  ILinkable, ITableItem

    public class SourceFilePage
    extends NodePage<ISourceNode>

Page showing the content of a source file with numbered and highlighted source lines.

### Field Summary

### Fields inherited from class org.jacoco.report.internal.html.page.ReportPage

`context, folder`

### Constructor Summary

Constructors
Constructor and Description
`SourceFilePage(ISourceNode sourceFileNode, Reader sourceReader, int tabWidth, ReportPage parent, ReportOutputFolder folder, IHTMLReportContext context)` Creates a new page with given information.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `content(HTMLElement body)` Creates the actual content of the page.
`protected String` `getFileName()` Specifies the local file name of this page.
`protected String` `getOnload()` Returns the onload handler for this page.
`protected void` `head(HTMLElement head)` Creates the elements within the head element.

### Methods inherited from class org.jacoco.report.internal.html.page.NodePage

`getLinkLabel, getLinkStyle, getNode`

### Methods inherited from class org.jacoco.report.internal.html.page.ReportPage

`getLink, infoLinks, isRootPage, render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jacoco.report.internal.html.ILinkable

`getLink`

### Constructor Detail

#### SourceFilePage

    public SourceFilePage(ISourceNode sourceFileNode,
                          Reader sourceReader,
                          int tabWidth,
                          ReportPage parent,
                          ReportOutputFolder folder,
                          IHTMLReportContext context)

Creates a new page with given information.

Parameters:
  `sourceFileNode` - coverage data for this source file
  `sourceReader` - reader for the source code
  `tabWidth` - number of character per tab
  `parent` - optional hierarchical parent
  `folder` - base folder for this page
  `context` - settings context

### Method Detail

#### content

    protected void content(HTMLElement body)
                    throws IOException

Description copied from class: `ReportPage`
Creates the actual content of the page.

Specified by:
  `content` in class `ReportPage`
Parameters:
  `body` - body tag of the page
Throws:
  `IOException` - in case of IO problems with the report writer

#### head

    protected void head(HTMLElement head)
                 throws IOException

Description copied from class: `ReportPage`
Creates the elements within the head element.

Overrides:
  `head` in class `ReportPage`
Parameters:
  `head` - head tag of the page
Throws:
  `IOException` - in case of IO problems with the report writer

#### getOnload

    protected String getOnload()

Description copied from class: `ReportPage`
Returns the onload handler for this page.

Overrides:
  `getOnload` in class `ReportPage`
Returns:
  handler or `null`

#### getFileName

    protected String getFileName()

Description copied from class: `ReportPage`
Specifies the local file name of this page.

Specified by:
  `getFileName` in class `ReportPage`
Returns:
  local file name